# Azure Key Vault

**Azure Key Vault** manages secrets and keys in Azure Key Vault Service.

## **Parameters**

Take a look at the configuration options for the component. Parameters supported by [Double Braces expressions](/documentation/connectors-and-triggers/double-braces/overview.md) are marked with `(DB)`.

### **General tab**

<table data-full-width="true"><thead><tr><th>Parameter</th><th>Description</th><th>Default value</th><th>Data type</th></tr></thead><tbody><tr><td><strong>Account</strong></td><td>The account used by the connector. It must be an <a href="/spaces/jvO5S91EQURCEhbZOuuZ/pages/fS1QLzAg8rGSSJFwtrvy#accounts-type"><strong>Azure Key</strong></a> account type.</td><td>N/A</td><td>Account</td></tr><tr><td><strong>Vault Name</strong> <code>(DB)</code></td><td>Vault Name to be used.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Operation</strong></td><td>Operation to be performed. Options are: <strong>Create Secret,</strong> <strong>Delete Secret</strong>, <strong>Get Secret</strong>, and <strong>Purge Deleted Secret</strong>.</td><td>Get Secret</td><td>String</td></tr><tr><td><strong>Secret Name</strong> <code>(DB)</code></td><td>The secret name to be used in Key Vault. </td><td>N/A</td><td>String</td></tr><tr><td><strong>Secret Value</strong> <code>(DB)</code></td><td>The secret value to be used in Key Vault. Available only when the operation is <strong>Create Secret</strong>.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Fail On Error</strong></td><td>If the option is activated, the pipeline's execution with an error will be interrupted. Otherwise, the pipeline execution proceeds, but the result will show a false value for the "success" property.</td><td>False</td><td>Boolean</td></tr></tbody></table>

### **Documentation tab**

<table data-full-width="true"><thead><tr><th>Parameter</th><th>Description</th><th>Default value</th><th>Data type</th></tr></thead><tbody><tr><td><strong>Documentation</strong></td><td>Section for documenting any necessary information about the connector configuration and business rules.</td><td>N/A</td><td>String</td></tr></tbody></table>

## Operations

### Create Secret

This operation creates a new secret in a Key Vault. Provide the following:

* **Secret Name**
* **Secret Value**

#### Example

* **Secret Name:** `createKey123`
* **Secret Value:** `123456`

#### Output

If successful, the output will be:

```json
{
  "success": true,
  "body": {
    "name": "createKey123",
    "value": "123456",
    "expiresOn": "",
    "createdOn": "2024-10-30T16:30:12Z",
    "updatedOn": "2024-10-30T16:30:12Z"
  }
}
```

### Delete Secret

This operation deletes a specified secret from a Key Vault. Provide:

* **Secret Name**

#### Example

* **Secret Name:** `createKey123`

#### Output

If successful, the output will be:

```json
{
  "success": true
}
```

### Get Secret

This operation retrieves a specified secret from a Key Vault. Provide:

* **Secret Name**

#### Example

* **Secret Name:** `createKey123`

#### Output

If successful, the output will be:

```json
{
  "success": true,
  "body": {
    "result": "123456"
  }
}

```

### Purge Deleted Secret

This operation permanently removes a deleted secret from a Key Vault. Unlike the Delete Secret operation, the secret cannot be recovered after purging. Provide:

* **Secret Name**

#### Example

* **Secret Name:** `createKey123`

#### Output

If the operation is successful, you will receive the output:

```json
{
  "success": true
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digibee.com/documentation/connectors-and-triggers/connectors/azure/key-vault.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
